This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 472334 - Kernel Bug Diagnostic Information Sent when I try to print
Kernel Bug Diagnostic Information Sent when I try to print
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 23:29 EST by Steven W. Orr
Modified: 2009-07-14 10:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:25:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steven W. Orr 2008-11-19 23:29:14 EST
Description of problem:

When I go to print a file, I only get the top inch or two of the sheet and the hplip process runs away.


Version-Release number of selected component (if applicable):
hplip-2.8.2-2.fc9.i386

How reproducible:

lp filename


Steps to Reproduce:
1. I happen to have a HP1320 postscipt printer hooked up to /dev/parport1
2. Using cups
3. lp filename
  
Actual results:
A small window appears for a few seconds on the screen which says:
"Kernel Bug Diagnostic Information Sent"
There's more but I can't read it because it goes away too fast.

Top inch or two come out. hplip process runs away.

Contents of syslog:

Nov 18 15:30:06 saturn parport0: prnt/backend/hp.c 496: unable to connect hpssd
socket 2207: Connection refused
Nov 18 15:30:08 saturn kernel: sysctl table check failed:
/dev/parport/parport0/devices/ppdev0/timeslice  Sysctl already exists
Nov 18 15:30:08 saturn kernel: Pid: 26410, comm: hpijs Tainted: P
2.6.26.6-79.fc9.i686 #1
Nov 18 15:30:08 saturn kernel:  [printk+15/20] ? printk+0xf/0x14
Nov 18 15:30:08 saturn kernel:  [set_fail+51/64] set_fail+0x33/0x40
Nov 18 15:30:08 saturn kernel:  [sysctl_check_table+1033/1093]
sysctl_check_table+0x409/0x445
Nov 18 15:30:08 saturn kernel:  [sysctl_check_table+1055/1093]
sysctl_check_table+0x41f/0x445
Nov 18 15:30:08 saturn kernel:  [sysctl_check_table+1055/1093]
sysctl_check_table+0x41f/0x445
Nov 18 15:30:08 saturn kernel:  [sysctl_check_table+1055/1093]
sysctl_check_table+0x41f/0x445
Nov 18 15:30:08 saturn kernel:  [sysctl_check_table+1055/1093]
sysctl_check_table+0x41f/0x445
Nov 18 15:30:08 saturn kernel:  [sysctl_check_table+1055/1093]
sysctl_check_table+0x41f/0x445
Nov 18 15:30:08 saturn kernel:  [__register_sysctl_paths+167/246]
__register_sysctl_paths+0xa7/0xf6
Nov 18 15:30:08 saturn kernel:  [__dentry_open+305/508] ?
__dentry_open+0x131/0x1fc
Nov 18 15:30:08 saturn kernel:  [register_sysctl_paths+30/32]
register_sysctl_paths+0x1e/0x20
Nov 18 15:30:08 saturn kernel:  [register_sysctl_table+15/17]
register_sysctl_table+0xf/0x11
Nov 18 15:30:08 saturn kernel:  [<f89c3283>]
parport_device_proc_register+0xa9/0xc7 [parport]
Nov 18 15:30:08 saturn kernel:  [<f89c1aa4>]
parport_register_device+0x1bb/0x1e5 [parport]
Nov 18 15:30:08 saturn kernel:  [<f89b431c>] pp_ioctl+0x12b/0x6ac [ppdev]
Nov 18 15:30:08 saturn kernel:  [<f89b489d>] ? pp_irq+0x0/0x43 [ppdev]
Nov 18 15:30:08 saturn kernel:  [vfs_ioctl+80/105] vfs_ioctl+0x50/0x69
Nov 18 15:30:08 saturn kernel:  [do_vfs_ioctl+569/588] do_vfs_ioctl+0x239/0x24c
Nov 18 15:30:08 saturn kernel:  [sys_ioctl+64/91] sys_ioctl+0x40/0x5b
Nov 18 15:30:08 saturn kernel:  [syscall_call+7/11] syscall_call+0x7/0xb
Nov 18 15:30:08 saturn kernel:  =======================
Nov 18 15:30:10 saturn parport0: io/hpmud/pp.c 316: ecp_write_data host
transfer recovery cnt=1
Nov 18 15:30:10 saturn parport0: io/hpmud/pp.c 316: ecp_write_data host
transfer recovery cnt=2
Nov 18 15:30:10 saturn parport0: io/hpmud/pp.c 316: ecp_write_data host
transfer recovery cnt=3
Nov 18 15:30:10 saturn parport0: io/hpmud/pp.c 316: ecp_write_data host
transfer recovery cnt=4
Nov 18 15:30:10 saturn parport0: io/hpmud/pp.c 313: ecp_write_data transfer
stalled
Nov 18 15:30:10 saturn parport0: io/hpmud/mlc.c 470: unable to write
MlcForwardData: Connection refused
Nov 18 15:30:10 saturn parport0: io/hpmud/mlc.c 463: unable to write
MlcForwardData header: Connection refused
Nov 18 15:30:10 saturn parport0: io/hpmud/mlc.c 145: unexpected MLCError:
cmd=7f, result=d
Nov 18 15:30:10 saturn parport0: io/hpmud/musb.c 1580: invalid MlcCredit from
peripheral, trying miser
Nov 18 15:30:13 saturn kerneloops: Submitted 1 kernel oopses to
www.kerneloops.org
Nov 18 15:30:38 saturn kernel: [FIAIF_MARTIAN]:IN= OUT=eth0 SRC=207.172.210.41
DST=255.255.255.255 LEN=225 TOS=0x00 PREC=0x00 TTL=64 ID=0 DF PROTO=UDP SPT=631
DPT=631 LEN=205
Nov 18 15:30:44 saturn parport0: io/hpmud/mlc.c 238: unable to read
MlcReverseReply header: Connection refused bytesRead=0


Expected results:

I should get the page.

Additional info:

Sometimes, but not always, I can get my printout by stoping and restarting cups. Also, I have to kill the hplip process.

I'm sure I can supply more info if you tell me what you need.

I saw on the web that a number of other people have had the same problem and no one has answered their question.
Comment 1 Tim Waugh 2008-11-20 05:20:50 EST
This is a kernel bug.  Reassigning.
Comment 2 Bug Zapper 2009-06-09 23:19:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 10:25:31 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.